%global desc IPython features (tab completion, syntax highlighting, better tracebacks,\
better introspection) right in pdb.
%global srcname ipdb
%global sum IPython enabled Python debugger


Name:           python-ipdb
Version:        0.10.2
Release:        1%{?dist}
BuildArch:      noarch

License:        BSD
Summary:        IPython enabled Python debugger
Group:          Development/Debuggers
URL:            https://github.com/gotcha/%{srcname}/
Source0:        https://github.com/gotcha/%{srcname}/archive/%{version}.tar.gz

BuildRequires:  python-ipython-console >= 0.10.2
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ipython-console


%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{sum}

Requires:       python-ipython-console >= 0.10.2
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{desc}


%package -n python3-%{srcname}
Summary:        IPython enabled Python debugger

Requires:       python3-ipython-console
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-ipdb
%{desc}


%prep
%setup -q -n %{srcname}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'


%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
mv %{buildroot}%{_bindir}/%{srcname}3 %{buildroot}%{_bindir}/%{srcname}-%{python3_version}
ln -s %{srcname}-%{python3_version} %{buildroot}%{_bindir}/%{srcname}-3
%{__python2} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python2_version}
ln -s %{srcname}-%{python2_version} %{buildroot}%{_bindir}/%{srcname}
ln -s %{srcname}-%{python2_version} %{buildroot}%{_bindir}/%{srcname}-2


%check
%{__python2} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd


%files -n python2-%{srcname}
%doc HISTORY.txt README.rst
%license COPYING.txt
%{python2_sitelib}/ipdb/
%{python2_sitelib}/ipdb-%{version}*.egg-info/
%{_bindir}/ipdb
%{_bindir}/ipdb-2
%{_bindir}/ipdb-%{python2_version}


%files -n python3-%{srcname}
%doc HISTORY.txt README.rst
%license COPYING.txt
%{python3_sitelib}/ipdb/
%{python3_sitelib}/ipdb-%{version}*.egg-info/
%{_bindir}/ipdb-3
%{_bindir}/ipdb-%{python3_version}


%changelog
* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2 https://github.com/gotcha/ipdb/blob/0.10.2/HISTORY.txt

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 30 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1 (#1406143).
- Change license from GPLv2+ to BSD (upstream switched with 0.9.0).
- Rework the spec file to use the python_provide macro.
- Name the executables with Python version suffixes.
- Do not conditionalize python3 builds.
- Depend on python2-setuptools instead of python-setuptools.
- Reorganize some attributes.

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 18 2016 Brian C. Lane <bcl@redhat.com> 0.8.3-1
- Upstream version 0.8.3
- Preparing release 0.8.3 (gotcha)
- changelog (gotcha)
- Merge pull request #80 from emulbreh/dont-pass-commandline-arguments-to-
  ipython (gotcha)
- Don't pass sys.argv to IPython for configuration (johannes.dollinger)
- Back to development: 0.8.3 (gotcha)
- Preparing release 0.8.2 (gotcha)
- update documentation (gotcha)
- Merge pull request #76 from sas23/bug-72 (gotcha)
- Fix mistake in setup.py (sstoyles)
- Include sitepackages in setup (sstoyles)
- Removed lexical comparison for version numbers and replaced with the
  pkg_resources module, in order to use parse_version for comparisons
  (sstoyles)
- Merge pull request #75 from JamshedVesuna/master (gotcha)
- Added user defined context to set_trace (jamshed.vesuna)
- Merge pull request #74 from nikolas/patch-1 (gotcha)
- Add python 3.5 on travis (nnyby)
- Merge pull request #69 from IxDay/fix-ipython-conf-loading (gotcha)
- Display a message when config will not be loaded (maxime.vidori)
- Load IPython configuration into ipdb (maxime.vidori)
- Back to development: 0.8.2 (gotcha)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jul 30 2015 Brian C. Lane <bcl@redhat.com> 0.8.1-1
- Update to new upstream version 0.8.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Apr 02 2014 Brian C. Lane <bcl@redhat.com> 0.8-5
- Reduce requirements to python-ipython-console so that it won't pull in the gui packages

* Mon Nov 18 2013 Brian C. Lane <bcl@redhat.com> 0.8-4
- Add ipython as a BuildRequires so that check will work.

* Fri Nov 15 2013 Brian C. Lane <bcl@redhat.com> 0.8-3
- Move python3-ipython require inside the python3-ipdb subpackage.

* Wed Nov 13 2013 Brian C. Lane <bcl@redhat.com> 0.8-1
- Updated to 0.8 release
- Switch to github source

* Fri Mar 29 2013 Brian C. Lane <bcl@redhat.com> 0.7-4
- Updated source to pypi tarball
- Removed rhel python3 check
- Enabled Python3 support since there is now python3-ipython available

* Sun Dec 09 2012 Brian C. Lane <bcl@redhat.com> 0.7-1
- Updating to official 0.7 release
- Added COPYING.txt file
- Enabled check

* Sat Apr 21 2012 Brian C. Lane <bcl@redhat.com> 0.7-2.20120414git
- removed tabs from specfile
- more specific about files in sitelib
- added requires for python3-ipython (currently python3 is disabled)
- disabled check until a more useful test is available upstream

* Sat Apr 14 2012 Brian C. Lane <bcl@redhat.com> 0.7-1.20120414git
- Initial creation of python-ipdb from a git checkout of commit b42394ba
